#include <Types.h>
#include <Windows.h>
#include <Dialogs.h>
#include <Sound.h>
#include <StandardFile.h>

#include "ExternalInterface.h"

pascal void main (ExternalCallbackBlock *cbb, WindowPeek w)
{
	if (cbb->version < 2)
		SysBeep(10);
	else if (!w && w->windowKind != userKind)
		SysBeep(10);
	else
	{
		long selStart, selEnd, firstChar;

		cbb->GetSelection (&selStart,&selEnd,&firstChar);

		if (selStart == selEnd)
			SysBeep(10);
		else
		{
			Handle text = cbb->GetWindowContents ((WindowPtr) w);
			char *scan = *text + selStart, *top = *text + selEnd;

			while (scan < top)
			{
				if (	(*scan >= 'A' && *scan <= 'M')		||
						(*scan >= 'a' && *scan <= 'm')		)
				{
					*scan += 13;
				}
				else if (	(*scan >= 'n' && *scan <= 'z')	||
							(*scan >= 'N' && *scan <= 'Z')	)
				{
					*scan -= 13;
				}
				++scan;
			}

			cbb->ContentsChanged ((WindowPtr) w);
		}
	}
}
